=== debian/changelog ===
assaultcube (1.2.0.2.1-5) unstable; urgency=medium

  * Fix typo in Depdendency on assault-data found 3 seconds after the
    upload…

 -- Tobias Frost <tobi@debian.org>  Fri, 02 Sep 2022 13:27:11 +0200

assaultcube (1.2.0.2.1-4) unstable; urgency=medium

  * Team upload.
  * Revert changes in git repository from 1.2.0.2.1-3, which was
    never released but tagged in the git repo:
     - Inappropriate change of upstream references to coriango's forks.
     - break/conflict changed version of break to a later version
       which is likely wrong
     note: the below changelogs for -3 are left as it, but they are
     not documenting what actually has been changed in -3.
  * Do not compile with clang, as this fails with dh_dwz (Closes: #1016935)
  * Remove debian/upstream/signing-key.asc. This is not upstream's, but
    coriango's one.
  * Fix overrides for renamed lintian tags.
  * Update d/copyright fixing some lintian warnings with it.
  * Bump S-V to 4.6.1 (no changes).
  * Specify Rules-Requires-Root.
  * Bump compat level to 13 (no changes).
  * Fix unknown-fields errors in upstream/metadata.
  * New patch, so that CXXFLAGS are kept during build and hardening not
    defeated.

 -- Tobias Frost <tobi@debian.org>  Fri, 02 Sep 2022 13:20:34 +0200

assaultcube (1.2.0.2.1-3) UNRELEASED; urgency=medium

  * debian/control: (Closes: #728193)
    + Added Breaks+Replaces

 -- Carlos Donizete Froes <coringao@riseup.net>  Sun, 08 Sep 2019 13:42:33 -0300

assaultcube (1.2.0.2.1-2) unstable; urgency=medium

  * New maintainer. (Closes: #728193)
  * debian/control:
    + Changed versioned in "depends+breaks+replaces" to avoid version conflict.
  * debian/copyright: Modified upstream URL in "Source:".
  * debian/upstream:
    + Updated upstream URL information in metadata.
    - Signed non-upstream key removed.
  * Updated upstream URL in debian/watch.

 -- Carlos Donizete Froes <coringao@riseup.net>  Tue, 17 Sep 2019 01:40:34 -0300

assaultcube (1.2.0.2.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #726355, #727026, #779617)
  * Removed files (outdated):
    - d/assaultcube.dirs.
    - d/assautcube.xpm.
    - d/autoreconf.
    - d/compat.
    - d/patches.
    - d/README.Debian.
    - d/README.source.
  * debian/assaultcube.desktop: Updated '.desktop' application shortcut file.
  * debian/assaultcube.install: Updated directory paths.
  * debian/changelog: Corrected file containing white space.
  * debian/control:
    + Build-Depends: Libraries updated for SDL2.
    + Bumped Standards-Version to 4.4.0.
    - Changed from 'debhelper' to 'debhelper-compat' in
      Build-Depends field and bumped level to 12.
    + Changed upstream Vcs-* URLs in salsa.d.g. (Closes: #900467)
    + Long description organized.
  * debian/copyright:
    + Organized copyright for each software license.
    + Format-uri: Changed unversioned copyright format uri.
    + Adding myself copyright in debian/*.
  * Added debian/assaultcube.docs
  * Added debian/clean
  * debian/rules:
    - Changed and removed get-orig-source and version checking.
  * debian/scripts: Updated executable scripts.
  * debian/upstream: Included metadata and signature key.
  * debian/watch: Changed to personal git mirrored in upstream git.

 -- Carlos Donizete Froes <coringao@riseup.net>  Sun, 04 Aug 2019 21:13:24 -0300

assaultcube (1.1.0.4+dfsg2-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix building with GCC 6. (Closes: #836927)

 -- Johannes Brandstätter <jbrandst@2ds.eu>  Sat, 24 Sep 2016 19:42:32 +0200
