=== debian/control ===
Source: assaultcube
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Carlos Donizete Froes <coringao@riseup.net>
Build-Depends: debhelper-compat (= 13),
               libgl1-mesa-dev,
               libopenal-dev,
               libsdl2-dev,
               libsdl2-image-dev,
               libvorbis-dev,
               zlib1g-dev
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/games-team/assaultcube.git
Vcs-Browser: https://salsa.debian.org/games-team/assaultcube
Homepage: http://assault.cubers.net
Rules-Requires-Root: no

Package: assaultcube
Architecture: any
Depends: assaultcube-data (>= 1.2.0.2), assaultcube-data (<< 1.3.0~), ${misc:Depends}, ${shlibs:Depends}
Breaks: assaultcube-data (<< 1.2.0.2)
Replaces: assaultcube-data (<< 1.2.0.2)
Description: realistic first-person-shooter
 AssaultCube, formerly ActionCube, is a first-person-shooter based on the
 game Cube.
 .
 Set in a realistic looking environment, as far as that's possible with this
 engine, while gameplay stays fast and arcade. This game is all about team
 oriented multiplayer fun.
