## assaultcube 1.3.0.2+dfsg

=== source/src/Makefile ===
--- 
+++ 
@@ -8,13 +8,21 @@
 # continue using clang++ (just in case), you can use g++ if you prefer.
 CXX=clang++
 
-# Changing this to ACDEBUG=yes will compile a debug version of AssaultCube.
-ACDEBUG=no
+# call like 'DEBUGBUILD=1 make' to compile a debug version of AssaultCube.
+ifdef DEBUGBUILD
+    ACDEBUG=yes
+else
+    ACDEBUG=no
+endif
 
 PLATFORM=$(shell uname -s)
 
 # This prefix is only used to name the installed executables.
-PLATFORM_PREFIX=native
+ifdef DEBUGBUILD
+    PLATFORM_PREFIX=debug
+else
+    PLATFORM_PREFIX=native
+endif
 
 # As above, this file is optional only.
 -include Makefile_local
@@ -22,15 +30,18 @@
 
 ifeq ($(ACDEBUG),yes)
 	CXXFLAGS= -O0
-	override CXXFLAGS+= -g -O2 -D_DEBUG
+	override CXXFLAGS+= -g -D_DEBUG
 endif
 
 ifneq (,$(findstring clang,$(CXX)))
-	CXXFLAGS= -g -O2 -fomit-frame-pointer
-	override CXXFLAGS+= -fPIE -Wall -fsigned-char
-else
-	CXXFLAGS= -g -O2 -fomit-frame-pointer
+	CXXFLAGS= -O3 -fomit-frame-pointer
+	override CXXFLAGS+= -Wall -fsigned-char
+else
+	CXXFLAGS= -O3 -fomit-frame-pointer
 	override CXXFLAGS+= -Wall -fsigned-char -ffast-math -rdynamic -Wno-format-zero-length
+	ifeq "$(shell expr 'gcc -dumpversion' \>= 8)" "1"
+		override CXXFLAGS+= -Wno-stringop-truncation
+	endif
 endif
 
 INCLUDES= -I. -Ibot -I../enet/include
@@ -43,7 +54,6 @@
 endif
 
 MV=mv
-RM=rm -rf
 ifneq (,$(findstring MINGW,$(PLATFORM)))
 WINDRES= windres
 CLIENT_INCLUDES= $(INCLUDES) -I../include
@@ -51,7 +61,7 @@
 else
 USRLIB=$(shell if [ -e /usr/lib64 ]; then echo "/usr/lib64"; else echo "/usr/lib"; fi)
 CLIENT_INCLUDES= $(INCLUDES) -I/usr/include `sdl2-config --cflags` -idirafter ../include
-CLIENT_LIBS= -L../enet/.libs -lenet -L$(USRLIB) `sdl2-config --libs` -lSDL2_image -lz -lGL -lopenal -lvorbisfile
+CLIENT_LIBS= -L../enet/.libs -lenet -L$(USRLIB) -lX11 `sdl2-config --libs` -lSDL2_image -lz -lGL -lopenal -lvorbisfile
 endif
 
 CLIENT_OBJS= \
@@ -132,7 +142,6 @@
 	tools-standalone.o \
 	wizard-standalone.o
 MASTER_OBJS= \
-	crypto-standalone.o \
 	stream-standalone.o \
 	command-standalone.o \
 	master-standalone.o
@@ -153,14 +162,13 @@
 	-$(MAKE) -C ../enet all
 
 clean-enet: ../enet/Makefile
-	$(MAKE) -C ../enet/ distclean || true
-	-$(RM) ../enet/autom4te.cache
-
-clean: clean-enet
-	-$(RM) $(CLIENT_PCH) $(CLIENT_OBJS) $(SERVER_OBJS) $(MASTER_OBJS) ac_client ac_server ac_master profile
+	$(MAKE) -C ../enet/ clean
+
+clean:
+	-$(RM) $(CLIENT_PCH) $(CLIENT_OBJS) $(SERVER_OBJS) $(MASTER_OBJS) ac_client ac_server ac_master
 
 mrproper: clean ../enet/Makefile
-	$(MAKE) -C ../enet/ distclean || true
+	$(MAKE) -C ../enet/ distclean
 	-$(RM) ../enet/Makefile
 
 %.h.gch: %.h
@@ -194,12 +202,12 @@
 
 else
 client: libenet $(CLIENT_OBJS)
-	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o ac_client $(CLIENT_OBJS) $(CLIENT_LIBS)
+	$(CXX) $(CXXFLAGS) -o ac_client $(CLIENT_OBJS) $(CLIENT_LIBS)
 
 server: libenet $(SERVER_OBJS)
-	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o ac_server $(SERVER_OBJS) $(SERVER_LIBS)
+	$(CXX) $(CXXFLAGS) -o ac_server $(SERVER_OBJS) $(SERVER_LIBS)
 master: libenet $(MASTER_OBJS)
-	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o ac_master $(MASTER_OBJS) $(SERVER_LIBS)
+	$(CXX) $(CXXFLAGS) -o ac_master $(MASTER_OBJS) $(SERVER_LIBS)
 
 client_install: client
 	install -d ../../bin_unix/
@@ -325,4 +333,3 @@
 soundlocation.o: cube.h platform.h tools.h geom.h model.h protocol.h sound.h
 soundlocation.o: weapon.h entity.h world.h command.h varray.h vote.h
 soundlocation.o: console.h protos.h
-soundscheduler.o: cube.h platform.h tools.h geom.h model.h protocol.h sound.h
