=== debian/changelog ===
assaultcube (1.3.0.2+dfsg-5) unstable; urgency=medium

  * Make postinst more verbose, so that download errors will be
    more prominent. Thank to Axel for the hint! Closes: #1021351.
  * Depend on ca-certificates to avoid SSL errors during download.

 -- Tobias Frost <tobi@debian.org>  Thu, 06 Oct 2022 20:15:25 +0200

assaultcube (1.3.0.2+dfsg-4) unstable; urgency=medium

  * Enable autobuild on the buildds: The package has been added
    to the ACL.

 -- Tobias Frost <tobi@debian.org>  Wed, 05 Oct 2022 15:57:26 +0200

assaultcube (1.3.0.2+dfsg-3) unstable; urgency=medium

  * Temporarily revert "Mark package as autobuildable on the buildds."

 -- Tobias Frost <tobi@debian.org>  Sat, 01 Oct 2022 15:53:58 +0200

assaultcube (1.3.0.2+dfsg-2) experimental; urgency=medium

  * Use https:// everywhere.
  * Mark package as autobuildable on the buildds.
  * Add a simple autopkgtest to verify that data download works.

 -- Tobias Frost <tobi@debian.org>  Sat, 01 Oct 2022 14:32:04 +0200

assaultcube (1.3.0.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental.
  * Move to non-free -- see d/copyright for reasoning.
  * Set myself as Uploader.
  * Refresh patches.
  * Cherry-pick assaultcube.png from upstream to be used in the desktop file.
  * Cherry-pick manpages from assaultcube-data.
  * Prepare package to download game data during installation. See #935669#57
    and #1018969 for background.
  * Remove no longer needed assaultcube.lintian-overrides.

 -- Tobias Frost <tobi@debian.org>  Sun, 25 Sep 2022 12:17:02 +0200
