=== debian/control ===
Source: assaultcube
Section: non-free/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Tobias Frost <tobi@debian.org>
Build-Depends: debhelper-compat (= 13),
               libgl1-mesa-dev,
               libopenal-dev,
               libsdl2-dev,
               libsdl2-image-dev,
               libvorbis-dev,
               zlib1g-dev
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/games-team/assaultcube.git
Vcs-Browser: https://salsa.debian.org/games-team/assaultcube
Homepage: https://assault.cubers.net
Rules-Requires-Root: no
XS-Autobuild: yes

Package: assaultcube
Architecture: any
Depends: wget, bzip2, ca-certificates, ${misc:Depends}, ${shlibs:Depends}
Breaks: assaultcube-data
Replaces: assaultcube-data
Description: realistic first-person-shooter
 AssaultCube, formerly ActionCube, is a first-person-shooter based on the
 game Cube.
 .
 Set in a realistic looking environment, as far as that's possible with this
 engine, while gameplay stays fast and arcade. This game is all about team
 oriented multiplayer fun.
 .
 The game data required to play this game will be downloaded automatically
 when this package is installed.
