=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/dpkg/default.mk
VERSION ?= $(subst +dfsg,,$(DEB_VERSION_UPSTREAM))

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -fPIE
export DEB_LDFLAGS_MAINT_APPEND = -fPIE -pie -Wl,-z,now

%:
	dh $@ --sourcedirectory=source/src
	
override_dh_installdeb:
	sed 's/#VERSION#/$(VERSION)/g' debian/assaultcube.postinst.in > debian/assaultcube.postinst
	dh_installdeb
