=== debian/tests/control ===
Tests: ac-download-test
Depends: wget, bzip2, ca-certificates
Restrictions: allow-stderr, superficial, needs-internet, needs-root
