=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%, \
     dversionmangle=s/\+dfsg\d*$//, repacksuffix=+dfsg" \
   https://github.com/assaultcube/AC/tags \
   (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
